//----------------------------------------------------------
//
//  GRAND STUNT  1.1
//  A freeroam gamemode for SA-MP 0.3
//
//----------------------------------------------------------

#include <a_samp>
#include <core>
#include <float>
#include "../include/gl_common.inc"
#include "../include/gl_spawns.inc"

#pragma tabsize 0

//----------------------------------------------------------

#define COLOR_WHITE 		0xFFFFFFFF
#define COLOR_NORMAL_PLAYER 0xFF4444FF

#define Text_Under_Minimap "                    ~n~                        ~n~                  Special~y~ For~n~           ~r~sylar-gta.net.ru"

#define CITY_LOS_SANTOS 	0
#define CITY_SAN_FIERRO 	1
#define CITY_LAS_VENTURAS 	2

#define COLOR_RED 0xAA3333AA
#define COLOR_GREY 0xAFAFAFAA
#define COLOR_GREEN 0x33AA33AA
#define COLOR_BLUE 0x33CCFFAA
#define COLOR_YELLOW 0xFFFF00AA
#define COLOR_ORANGE 0xFF9900AA
#define COLOR_PINK 0xFF66FFAA
#define COLOR_BROWN 0x8B4513FF
#define COLOR_MAROON 0x800000FF
#define COLOR_PURPLE 0x9933CCAA
#define COLOR_GREENISHGOLD 0xCCFFDD56
#define COLOR_LIGHTBLUEGREEN 0x0FFDD349
#define COLOR_NEUTRALBLUE 0xABCDEF01
#define COLOR_LIGHTCYAN 0xAAFFCC33
#define COLOR_LEMON 0xDDDD2357

new total_vehicles_from_files=0;

forward SendPlayerFormattedText(playerid, const str[], define);
forward public SendAllFormattedText(playerid, const str[], define);

// Class selection globals
new gPlayerCitySelection[MAX_PLAYERS];
new gPlayerHasCitySelected[MAX_PLAYERS];
new gPlayerLastCitySelectionTick[MAX_PLAYERS];

new cmd[256];
new	idx;

new Text:txtClassSelHelper;
new Text:txtLosSantos;
new Text:txtSanFierro;
new Text:txtLasVenturas;
new PlayerCount;
//----------------------------------------------------------

main()
{
	print("\n---------------------------------------");
	print("Running Grand Stunt - by the SA-MP team\n");
	print("---------------------------------------\n");
}

//----------------------------------------------------------

public OnPlayerConnect(playerid)
{
    PlayerCount++;
    if(PlayerCount > 80) {
    print("More then 80 players!");
    }
   else if(PlayerCount == 0) {
    print("No players in the server :( ");
    }
   else {
    printf("There are %d players", PlayerCount);
    }
    
    new PlayerName[30], str[256];
    GetPlayerName(playerid, PlayerName, 30);
    format(str, 256, ": %s    GRAND STUNT !", PlayerName);
    SendClientMessage(playerid, 0xFF9900AA, str);

    
	GameTextForPlayer(playerid,"~w~Grand Stunt 1.1",3000,4);
  	SendClientMessage(playerid,COLOR_PURPLE,"Welcome to Grand Stunt v1.1");
  	SendClientMessage(playerid,COLOR_RED,":    /help");
  	
  	// class selection init vars
  	gPlayerCitySelection[playerid] = -1;
	gPlayerHasCitySelected[playerid] = 0;
	gPlayerLastCitySelectionTick[playerid] = GetTickCount();
	
    new Text:text = TextDrawCreate(5.0, 400.0,Text_Under_Minimap);
	TextDrawUseBox(text, 0);
	TextDrawFont(text, 3);
	TextDrawSetShadow(text,0);
	TextDrawSetOutline(text,1);
	TextDrawBackgroundColor(text,0x000000FF);
	TextDrawColor(text,0xFFFFFFFF);
	TextDrawShowForPlayer(playerid, text);
	//SetPlayerColor(playerid,COLOR_NORMAL_PLAYER);
	
	return 1;
}

//----------------------------------------------------------

public OnPlayerSpawn(playerid)
{
	if(IsPlayerNPC(playerid)) return 1;
	
	new randSpawn = 0;
	
	SetPlayerInterior(playerid,0);
	TogglePlayerClock(playerid,0);
 	ResetPlayerMoney(playerid);
	GivePlayerMoney(playerid, 30000);
	
	// if they ever return to class selection make them city
	// select again first
	gPlayerHasCitySelected[playerid] = 0;

	if(CITY_LOS_SANTOS == gPlayerCitySelection[playerid]) {
 	    randSpawn = random(sizeof(gRandomSpawns_LosSantos));
 	    SetPlayerPos(playerid,
		 gRandomSpawns_LosSantos[randSpawn][0],
		 gRandomSpawns_LosSantos[randSpawn][1],
		 gRandomSpawns_LosSantos[randSpawn][2]);
		SetPlayerFacingAngle(playerid,gRandomSpawns_LosSantos[randSpawn][3]);
	}
	else if(CITY_SAN_FIERRO == gPlayerCitySelection[playerid]) {
 	    randSpawn = random(sizeof(gRandomSpawns_SanFierro));
 	    SetPlayerPos(playerid,
		 gRandomSpawns_SanFierro[randSpawn][0],
		 gRandomSpawns_SanFierro[randSpawn][1],
		 gRandomSpawns_SanFierro[randSpawn][2]);
		SetPlayerFacingAngle(playerid,gRandomSpawns_SanFierro[randSpawn][3]);
	}
	else if(CITY_LAS_VENTURAS == gPlayerCitySelection[playerid]) {
 	    randSpawn = random(sizeof(gRandomSpawns_LasVenturas));
 	    SetPlayerPos(playerid,
		 gRandomSpawns_LasVenturas[randSpawn][0],
		 gRandomSpawns_LasVenturas[randSpawn][1],
		 gRandomSpawns_LasVenturas[randSpawn][2]);
		SetPlayerFacingAngle(playerid,gRandomSpawns_LasVenturas[randSpawn][3]);
	}

	//SetPlayerColor(playerid,COLOR_NORMAL_PLAYER);
	
	SetPlayerSkillLevel(playerid,WEAPONSKILL_PISTOL,2000);
    SetPlayerSkillLevel(playerid,WEAPONSKILL_PISTOL_SILENCED,2000);
    SetPlayerSkillLevel(playerid,WEAPONSKILL_DESERT_EAGLE,2000);
    SetPlayerSkillLevel(playerid,WEAPONSKILL_SHOTGUN,2000);
    SetPlayerSkillLevel(playerid,WEAPONSKILL_SAWNOFF_SHOTGUN,2000);
    SetPlayerSkillLevel(playerid,WEAPONSKILL_SPAS12_SHOTGUN,2000);
    SetPlayerSkillLevel(playerid,WEAPONSKILL_MICRO_UZI,2000);
    SetPlayerSkillLevel(playerid,WEAPONSKILL_MP5,2000);
    SetPlayerSkillLevel(playerid,WEAPONSKILL_AK47,2000);
    SetPlayerSkillLevel(playerid,WEAPONSKILL_M4,2000);
    SetPlayerSkillLevel(playerid,WEAPONSKILL_SNIPERRIFLE,2000);
    
    GivePlayerWeapon(playerid,WEAPON_COLT45,1000);
	GivePlayerWeapon(playerid,WEAPON_MP5,1000);
	GivePlayerWeapon(playerid,WEAPON_AK47,1000);
	//TogglePlayerClock(playerid, 1);

	return 1;
}

//----------------------------------------------------------

public OnPlayerDeath(playerid, killerid, reason)
{
    new playercash;
    
	if(killerid == INVALID_PLAYER_ID) {
        ResetPlayerMoney(playerid);
	} else {
		playercash = GetPlayerMoney(playerid);
		if(playercash > 0)  {
			GivePlayerMoney(killerid, playercash);
			ResetPlayerMoney(playerid);
		}
	}
   	return 1;
}

//----------------------------------------------------------

ClassSel_SetupCharSelection(playerid)
{
   	if(gPlayerCitySelection[playerid] == CITY_LOS_SANTOS) {
		SetPlayerInterior(playerid,11);
		SetPlayerPos(playerid,508.7362,-87.4335,998.9609);
		SetPlayerFacingAngle(playerid,0.0);
    	SetPlayerCameraPos(playerid,508.7362,-83.4335,998.9609);
		SetPlayerCameraLookAt(playerid,508.7362,-87.4335,998.9609);
	}
	else if(gPlayerCitySelection[playerid] == CITY_SAN_FIERRO) {
		SetPlayerInterior(playerid,3);
		SetPlayerPos(playerid,-2673.8381,1399.7424,918.3516);
		SetPlayerFacingAngle(playerid,181.0);
    	SetPlayerCameraPos(playerid,-2673.2776,1394.3859,918.3516);
		SetPlayerCameraLookAt(playerid,-2673.8381,1399.7424,918.3516);
	}
	else if(gPlayerCitySelection[playerid] == CITY_LAS_VENTURAS) {
		SetPlayerInterior(playerid,3);
		SetPlayerPos(playerid,349.0453,193.2271,1014.1797);
		SetPlayerFacingAngle(playerid,286.25);
    	SetPlayerCameraPos(playerid,352.9164,194.5702,1014.1875);
		SetPlayerCameraLookAt(playerid,349.0453,193.2271,1014.1797);
	}
	
}

//----------------------------------------------------------
// Used to init textdraws of city names

ClassSel_InitCityNameText(Text:txtInit)
{
  	TextDrawUseBox(txtInit, 0);
	TextDrawLetterSize(txtInit,1.25,3.0);
	TextDrawFont(txtInit, 0);
	TextDrawSetShadow(txtInit,0);
    TextDrawSetOutline(txtInit,1);
    TextDrawColor(txtInit,0xEEEEEEFF);
    TextDrawBackgroundColor(txtClassSelHelper,0x000000FF);
}

//----------------------------------------------------------

ClassSel_InitTextDraws()
{
    // Init our observer helper text display
	txtLosSantos = TextDrawCreate(10.0, 380.0, "Los Santos");
	ClassSel_InitCityNameText(txtLosSantos);
	txtSanFierro = TextDrawCreate(10.0, 380.0, "San Fierro");
	ClassSel_InitCityNameText(txtSanFierro);
	txtLasVenturas = TextDrawCreate(10.0, 380.0, "Las Venturas");
	ClassSel_InitCityNameText(txtLasVenturas);

    // Init our observer helper text display
	txtClassSelHelper = TextDrawCreate(10.0, 415.0,
	   " Press ~b~~k~~GO_LEFT~ ~w~or ~b~~k~~GO_RIGHT~ ~w~to switch cities.~n~ Press ~r~~k~~PED_FIREWEAPON~ ~w~to select.");
	TextDrawUseBox(txtClassSelHelper, 1);
	TextDrawBoxColor(txtClassSelHelper,0x222222BB);
	TextDrawLetterSize(txtClassSelHelper,0.3,1.0);
	TextDrawTextSize(txtClassSelHelper,400.0,40.0);
	TextDrawFont(txtClassSelHelper, 2);
	TextDrawSetShadow(txtClassSelHelper,0);
    TextDrawSetOutline(txtClassSelHelper,1);
    TextDrawBackgroundColor(txtClassSelHelper,0x000000FF);
    TextDrawColor(txtClassSelHelper,0xFFFFFFFF);
}

//----------------------------------------------------------

ClassSel_SetupSelectedCity(playerid)
{
	if(gPlayerCitySelection[playerid] == -1) {
		gPlayerCitySelection[playerid] = CITY_LOS_SANTOS;
	}
	
	if(gPlayerCitySelection[playerid] == CITY_LOS_SANTOS) {
		SetPlayerInterior(playerid,0);
   		SetPlayerCameraPos(playerid,1630.6136,-2286.0298,110.0);
		SetPlayerCameraLookAt(playerid,1887.6034,-1682.1442,47.6167);
		
		TextDrawShowForPlayer(playerid,txtLosSantos);
		TextDrawHideForPlayer(playerid,txtSanFierro);
		TextDrawHideForPlayer(playerid,txtLasVenturas);
	}
	else if(gPlayerCitySelection[playerid] == CITY_SAN_FIERRO) {
		SetPlayerInterior(playerid,0);
   		SetPlayerCameraPos(playerid,-1300.8754,68.0546,129.4823);
		SetPlayerCameraLookAt(playerid,-1817.9412,769.3878,132.6589);
		
		TextDrawHideForPlayer(playerid,txtLosSantos);
		TextDrawShowForPlayer(playerid,txtSanFierro);
		TextDrawHideForPlayer(playerid,txtLasVenturas);
	}
	else if(gPlayerCitySelection[playerid] == CITY_LAS_VENTURAS) {
		SetPlayerInterior(playerid,0);
   		SetPlayerCameraPos(playerid,1310.6155,1675.9182,110.7390);
		SetPlayerCameraLookAt(playerid,2285.2944,1919.3756,68.2275);
		
		TextDrawHideForPlayer(playerid,txtLosSantos);
		TextDrawHideForPlayer(playerid,txtSanFierro);
		TextDrawShowForPlayer(playerid,txtLasVenturas);
	}
}

//----------------------------------------------------------

ClassSel_SwitchToNextCity(playerid)
{
    gPlayerCitySelection[playerid]++;
	if(gPlayerCitySelection[playerid] > CITY_LAS_VENTURAS) {
	    gPlayerCitySelection[playerid] = CITY_LOS_SANTOS;
	}
	PlayerPlaySound(playerid,1052,0.0,0.0,0.0);
	gPlayerLastCitySelectionTick[playerid] = GetTickCount();
	ClassSel_SetupSelectedCity(playerid);
}

//----------------------------------------------------------

ClassSel_SwitchToPreviousCity(playerid)
{
    gPlayerCitySelection[playerid]--;
	if(gPlayerCitySelection[playerid] < CITY_LOS_SANTOS) {
	    gPlayerCitySelection[playerid] = CITY_LAS_VENTURAS;
	}
	PlayerPlaySound(playerid,1053,0.0,0.0,0.0);
	gPlayerLastCitySelectionTick[playerid] = GetTickCount();
	ClassSel_SetupSelectedCity(playerid);
}

//----------------------------------------------------------

ClassSel_HandleCitySelection(playerid)
{
	new Keys,ud,lr;
    GetPlayerKeys(playerid,Keys,ud,lr);
    
    if(gPlayerCitySelection[playerid] == -1) {
		ClassSel_SwitchToNextCity(playerid);
		return;
	}

	// only allow new selection every ~500 ms
	if( (GetTickCount() - gPlayerLastCitySelectionTick[playerid]) < 500 ) return;
	
	if(Keys & KEY_FIRE) {
	    gPlayerHasCitySelected[playerid] = 1;
	    TextDrawHideForPlayer(playerid,txtClassSelHelper);
		TextDrawHideForPlayer(playerid,txtLosSantos);
		TextDrawHideForPlayer(playerid,txtSanFierro);
		TextDrawHideForPlayer(playerid,txtLasVenturas);
	    TogglePlayerSpectating(playerid,0);
	    return;
	}
	
	if(lr > 0) {
	   ClassSel_SwitchToNextCity(playerid);
	}
	else if(lr < 0) {
	   ClassSel_SwitchToPreviousCity(playerid);
	}
}

//----------------------------------------------------------

public OnPlayerRequestClass(playerid, classid)
{
	if(IsPlayerNPC(playerid)) return 1;

	if(gPlayerHasCitySelected[playerid]) {
		ClassSel_SetupCharSelection(playerid);
		return 1;
	} else {
		if(GetPlayerState(playerid) != PLAYER_STATE_SPECTATING) {
			TogglePlayerSpectating(playerid,1);
    		TextDrawShowForPlayer(playerid, txtClassSelHelper);
    		gPlayerCitySelection[playerid] = -1;
		}
  	}
    
	return 0;
}

//----------------------------------------------------------

public OnGameModeInit()
{
	SetGameModeText("Grand Stunt v.1.1");
	ShowPlayerMarkers(PLAYER_MARKERS_MODE_GLOBAL);
	ShowNameTags(1);
	SetNameTagDrawDistance(40.0);
	EnableStuntBonusForAll(1);
	DisableInteriorEnterExits();
	SetWeather(2);
	
 	//LimitGlobalChatRadius(300.0);
	
	ClassSel_InitTextDraws();

	// Player Class
	AddPlayerClass(0,1958.3783,1343.1572,15.3746,270.1425,0,0,24,300,-1,-1);
	AddPlayerClass(266,1958.3783,1343.1572,15.3746,270.1425,0,0,24,300,-1,-1);
	AddPlayerClass(267,1958.3783,1343.1572,15.3746,270.1425,0,0,24,300,-1,-1);
	AddPlayerClass(268,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(269,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(270,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(271,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(272,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);

	AddPlayerClass(280,1958.3783,1343.1572,15.3746,270.1425,0,0,24,300,-1,-1);
	AddPlayerClass(281,1958.3783,1343.1572,15.3746,270.1425,0,0,24,300,-1,-1);
	AddPlayerClass(282,1958.3783,1343.1572,15.3746,270.1425,0,0,24,300,-1,-1);
	AddPlayerClass(283,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(284,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(285,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(286,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(287,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);

	AddPlayerClass(254,1958.3783,1343.1572,15.3746,0.0,0,0,24,300,-1,-1);
	AddPlayerClass(255,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(256,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(257,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(258,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(259,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(260,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(261,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(262,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(263,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(264,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(274,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(275,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(276,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);

	AddPlayerClass(1,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(2,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(290,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(291,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(292,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(293,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(294,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(295,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(296,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(297,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(298,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
    AddPlayerClass(299,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);

	AddPlayerClass(277,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(278,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(279,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(288,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(47,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(48,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(49,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(50,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(51,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(52,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(53,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(54,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(55,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(56,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(57,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(58,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(59,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(60,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(61,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(62,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(63,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(64,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(66,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(67,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(68,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(69,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(70,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(71,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(72,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(73,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(75,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(76,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(78,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(79,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(80,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(81,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(82,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(83,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(84,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(85,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(87,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(88,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(89,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(91,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(92,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(93,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(95,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(96,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(97,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(98,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(99,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(100,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(101,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(102,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(103,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(104,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(105,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(106,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(107,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(108,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(109,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(110,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(111,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(112,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(113,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(114,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(115,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(116,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(117,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(118,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(120,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(121,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(122,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(123,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(124,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(125,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(126,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(127,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(128,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(129,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(131,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(133,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(134,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(135,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(136,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(137,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(138,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(139,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(140,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(141,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(142,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(143,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(144,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(145,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(146,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(147,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(148,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(150,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(151,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(152,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(153,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(154,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(155,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(156,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(157,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(158,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(159,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(160,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(161,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(162,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(163,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(164,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(165,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(166,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(167,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(168,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(169,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(170,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(171,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(172,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(173,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(174,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(175,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(176,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(177,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(178,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(179,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(180,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(181,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(182,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(183,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(184,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(185,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(186,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(187,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(188,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(189,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(190,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(191,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(192,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(193,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(194,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(195,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(196,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(197,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(198,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(199,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(200,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(201,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(202,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(203,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(204,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(205,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(206,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(207,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(209,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(210,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(211,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(212,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(213,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(214,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(215,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(216,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(217,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(218,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(219,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(220,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(221,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(222,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(223,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(224,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(225,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(226,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(227,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(228,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(229,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(230,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(231,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(232,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(233,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(234,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(235,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(236,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(237,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(238,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(239,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(240,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(241,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(242,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(243,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(244,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(245,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(246,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(247,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(248,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(249,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(250,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(251,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	AddPlayerClass(253,1958.3783,1343.1572,15.3746,269.1425,0,0,24,300,-1,-1);
	
	AddStaticVehicle(581,-2230.7876,1252.5446,86.8078,184.7666,51,51); //
    AddStaticVehicle(521,-2232.5574,1252.9186,86.7796,183.3132,55,55); //
    AddStaticVehicle(522,-2229.1028,1253.0149,86.7554,181.0780,55,55); //
    AddStaticVehicle(468,-2227.2759,1253.1992,86.8893,183.8699,99,99); //
    AddStaticVehicle(487,3056.8821,-822.1665,13.7455,89.5179,5,5); //
    AddStaticVehicle(411,3023.7058,-889.6564,10.7208,180.8613,6,6); //
    AddStaticVehicle(580,3008.7654,-893.2161,10.7840,179.4106,0,0); //
    AddStaticVehicle(579,3013.7593,-785.8378,10.9242,91.1500,0,0); //
    AddStaticVehicle(579,3011.4519,-796.9031,10.9228,91.6782,0,0); //
    AddStaticVehicle(572,3056.5459,-850.6437,10.5678,224.1876,7,7); //
    AddStaticVehicle(434,3004.1826,-827.6105,10.9490,94.7527,7,7); //
    AddStaticVehicle(555,3004.2297,-836.4451,10.6716,91.9570,8,8); //
    AddStaticVehicle(555,1377.6979,1858.1870,17.0531,358.5128,7,8); //
    AddStaticVehicle(409,1393.6921,1813.7581,20.9247,180.7024,9,0); //
    AddStaticVehicle(424,1372.1708,1796.2545,22.8526,90.1557,8,9); //
    AddStaticVehicle(412,1391.1428,1858.0457,17.2042,1.4850,8,9); //
    AddStaticVehicle(405,1377.9122,1857.9902,23.7934,0.6501,8,9); //
    AddStaticVehicle(402,1372.2411,1799.0896,16.0395,90.6949,7,2); //
    AddStaticVehicle(411,1385.8021,1814.8358,14.1857,359.6659,6,7); //
    AddStaticVehicle(415,1372.2076,1829.1232,13.3902,90.8532,4,9); //
    AddStaticVehicle(535,-1345.2809,207.6903,46.2362,313.2450,28,1); //
    AddStaticVehicle(401,-1374.1171,155.8294,46.2517,222.3196,66,66); //
    AddStaticVehicle(576,-1404.0657,140.3763,46.1121,135.8205,76,8); //
    AddStaticVehicle(463,-1471.4375,242.6780,20.4111,43.7052,79,79); //
    AddStaticVehicle(555,-1396.1991,187.4957,46.1564,134.5984,58,1); //
    AddStaticVehicle(587,-1365.9471,227.3680,46.1957,314.3793,40,1); //
    AddStaticVehicle(573,-1221.5535,166.8799,14.7986,43.0436,115,43); //
    AddStaticVehicle(546,-1213.4563,175.2462,13.8727,44.2010,3,87); //
    AddStaticVehicle(603,-1456.0858,256.0759,39.9127,45.1097,75,77); //


	CreateObject(1634, -2178.801514, 1207.250366, 87.508255, 0, 0, 269.7591);
    CreateObject(18367, -2141.424072, 1239.499512, 73.684990, 334.2169, 0, 328.2008);
    CreateObject(18451, -2130.030762, 1243.442139, 69.745621, 0, 0, 270.7226);
    CreateObject(3625, -2071.974854, 1241.244385, 47.539982, 0, 0, 0);
    CreateObject(13638, -2014.829102, 1243.431885, 47.102230, 0.8594, 0, 179.6223);
    CreateObject(18262, -2007.739136, 1237.913940, 52.573475, 353.1245, 0, 267.1809);
    CreateObject(18566, -1994.264648, 1235.635132, 52.326763, 0, 0, 89.3814);
    CreateObject(18566, -1994.510010, 1240.821655, 52.326763, 0, 0, 89.3814);
    CreateObject(18565, -1989.388916, 1245.343628, 52.771400, 0, 0, 0);
    CreateObject(18568, -1996.922119, 1252.001465, 52.234322, 0, 0, 0);
    CreateObject(18569, -1989.510010, 1259.285400, 52.771400, 0, 0, 81.6465);
    CreateObject(18609, -1994.080200, 1263.385254, 52.617802, 0, 0, 0);
    CreateObject(18609, -1991.521851, 1267.888428, 52.617802, 0, 0, 0);
    CreateObject(1696, -1974.175537, 1253.404541, 52.450253, 0, 0, 270.7224);
    CreateObject(970, -1972.313721, 1257.829102, 51.994503, 0, 0, 86.8031);
    CreateObject(970, -1972.089600, 1262.003418, 51.994503, 0, 0, 86.8031);
    CreateObject(970, -1971.862915, 1266.174927, 51.994507, 0, 0, 86.8031);
    CreateObject(1696, -1972.232666, 1271.111450, 52.452541, 0, 0, 270.7224);
    CreateObject(970, -1971.082031, 1274.080688, 51.996792, 0, 0, 86.8031);
    CreateObject(970, -1972.755737, 1248.185791, 51.996792, 0, 0, 86.8031);
    CreateObject(970, -1972.998169, 1244.049072, 51.996792, 0, 0, 86.8031);
    CreateObject(970, -1973.216187, 1239.876221, 51.996792, 0, 0, 86.8031);
    CreateObject(1503, -1974.401611, 1236.439941, 51.839432, 0, 0, 269.8631);
    CreateObject(16367, -1974.611572, 1233.233032, 52.679199, 1.7189, 358.2811, 182.2007);
    CreateObject(18451, -1947.624512, 1243.234619, 51.957741, 0, 0, 272.3375);
    CreateObject(968, -1946.898926, 1243.209106, 52.211823, 63.5983, 0, 89.3814);
    CreateObject(2931, -1937.582031, 1243.317017, 53.530605, 329.9197, 0, 270.6186);
    CreateObject(8302, -1922.747559, 1234.979614, 57.209648, 0, 0, 198.5299);
    CreateObject(13638, -1923.793457, 1216.110229, 61.052086, 0, 0, 86.803);
    CreateObject(13641, -1932.125977, 1201.894287, 68.492683, 0, 352.2651, 177.0441);
    CreateObject(13648, -1882.420166, 1200.288086, 61.019501, 345.3896, 0, 274.9158);
    CreateObject(1245, -1850.655640, 1218.337769, 57.960953, 359.1406, 353.1245, 270.6186);
    CreateObject(1503, -1841.900879, 1237.301025, 44.839432, 0, 0, 268.8997);
    CreateObject(1503, -1822.328979, 1241.109375, 26.987871, 0, 0, 268.8997);
    CreateObject(1503, -1805.019043, 1242.842529, 23.170683, 0, 0, 268.8997);
    CreateObject(1245, -1834.470703, 1208.134888, 58.886009, 0, 0, 180.4818);
    CreateObject(18262, -1792.354980, 1216.695190, 38.643246, 33.518, 0, 85.9437);
    CreateObject(18262, -1787.571533, 1218.049072, 35.234440, 0, 0, 0);
    CreateObject(1503, -1787.911865, 1226.027466, 34.600433, 0, 0, 2.5783);
    CreateObject(13590, -1772.562988, 1236.343384, 22.039906, 0, 0, 273.3009);
    CreateObject(13593, -1744.741211, 1235.101807, 25.154594, 0, 0, 263.7431);
    CreateObject(13593, -1743.639648, 1228.467529, 20.406921, 0, 0, 263.7431);
    CreateObject(13593, -1698.200562, 1241.445190, 20.442282, 0, 0, 43.8313);
    CreateObject(13638, -1751.399780, 1252.548218, 21.086487, 0, 0, 267.1808);
    CreateObject(13593, -1766.090698, 1255.772827, 20.412109, 8.5944, 0, 263.7431);
    CreateObject(13593, -1741.307617, 1254.695557, 27.493408, 0, 359.1406, 262.8837);
    CreateObject(13640, -1707.248413, 1248.510986, 17.948946, 0, 0, 317.0282);
    CreateObject(13640, -1711.326538, 1252.096069, 18.487888, 0, 0, 317.0282);
    CreateObject(13640, -1722.978394, 1263.248047, 18.997482, 0, 0, 317.0282);
    CreateObject(13593, -1724.409912, 1264.812744, 18.270077, 21.4859, 0, 43.8313);
    CreateObject(13593, -1722.324219, 1262.757568, 17.670086, 314.4499, 0, 43.8313);
    CreateObject(2685, -1731.407104, 1226.174683, 21.881380, 0, 0, 177.9035);
    CreateObject(1245, -2001.213745, 1204.641479, 75.667259, 0, 11.1727, 0);
    CreateObject(18569, -2018.937378, 1199.367188, 81.076088, 0, 0, 0);
    CreateObject(18609, -2019.838623, 1212.389038, 80.922485, 0, 0, 46.4096);
    CreateObject(18567, -2024.506104, 1214.532349, 80.887909, 0, 0, 0);
    CreateObject(13636, -2046.312500, 1208.658813, 82.030388, 0, 0, 93.5746);
    CreateObject(13645, -2039.792725, 1220.567261, 82.443558, 0, 0, 0);
// Ls OBJ
    CreateObject(1633,1815.994,-2421.189,14.405,19.767,2.578,77.891);
    CreateObject(3359,2071.913,-2378.963,12.548,0.0,0.0,0.0);
    CreateObject(8355,2024.282,-2541.162,45.074,-28.361,0.0,-90.000);
    CreateObject(3402,1948.842,-2541.122,77.911,0.0,0.0,0.0);
    CreateObject(975,1963.787,-2553.018,79.234,0.0,0.0,-90.000);
    CreateObject(975,1963.523,-2529.173,79.507,0.0,0.0,-90.000);
    CreateObject(8355,1867.057,-2540.971,78.892,-0.859,0.0,-90.000);
    CreateObject(16152,1945.170,-2544.421,81.233,0.0,0.0,-270.000);
    CreateObject(3996,1726.569,-2413.594,21.985,0.0,0.0,0.0);
    CreateObject(3996,1642.762,-2413.626,21.985,0.0,0.0,0.0);
    CreateObject(3996,1568.856,-2413.986,21.885,0.0,0.0,0.0);
    CreateObject(1306,1932.646,-2541.114,80.440,0.0,0.0,-90.000);
    CreateObject(851,1936.161,-2543.269,81.640,0.0,0.0,0.0);
    CreateObject(3279,1529.273,-2412.782,23.387,0.0,0.0,0.0);
    CreateObject(3996,1529.021,-2466.708,39.567,0.0,0.0,-90.000);
    CreateObject(3996,1585.617,-2508.205,56.569,0.0,-19.767,0.0);
    CreateObject(3996,1685.649,-2508.321,71.667,0.0,2.578,0.0);
    CreateObject(3996,1752.086,-2511.304,74.019,0.0,-6.875,0.0);
    CreateObject(2599,1802.909,-2511.208,80.533,0.0,0.0,0.0);
    CreateObject(5176,1653.558,-2634.398,85.024,0.0,0.0,0.0);
    CreateObject(1320,1802.290,-2513.934,81.479,0.0,0.0,-180.000);
    CreateObject(6189,1446.320,-2689.269,65.329,0.0,0.0,-90.000);
    CreateObject(6189,1399.686,-2607.871,65.406,0.0,0.0,-180.000);
    CreateObject(4004,1516.741,-2592.314,92.160,0.0,0.0,90.000);
    CreateObject(1521,1507.869,-2674.099,81.179,0.0,0.0,90.000);
    CreateObject(6189,1399.632,-2477.459,65.358,0.0,0.0,-180.000);
    CreateObject(10831,1399.389,-2427.178,84.789,0.0,0.0,0.0);
    CreateObject(1633,1412.344,-2675.777,79.512,0.0,0.0,0.0);
    CreateObject(1633,1406.442,-2675.906,79.537,0.0,0.0,0.0);
    CreateObject(1633,1400.474,-2675.772,79.512,0.0,0.0,0.0);
    CreateObject(1633,1394.557,-2675.959,79.487,0.0,0.0,0.0);
    CreateObject(1633,1388.558,-2675.992,79.512,0.0,0.0,0.0);
    CreateObject(1633,1412.341,-2669.350,79.489,0.0,0.0,-180.000);
    CreateObject(1633,1406.309,-2669.084,79.489,0.0,0.0,-180.000);
    CreateObject(1633,1400.316,-2669.237,79.489,0.0,0.0,-180.000);
    CreateObject(1633,1394.465,-2669.207,79.514,0.0,0.0,-180.000);
    CreateObject(1633,1388.488,-2669.167,79.514,0.0,0.0,-180.000);
    CreateObject(3625,1545.835,-2614.953,82.863,0.0,0.0,-180.000);
    CreateObject(12956,1624.009,-2602.094,83.852,0.0,0.0,-90.000);
    CreateObject(13590,1548.940,-2577.531,81.279,0.0,0.0,78.750);
    CreateObject(13636,1560.988,-2635.908,82.312,0.0,0.0,0.0);
    CreateObject(13638,1531.730,-2604.966,87.962,0.0,0.0,0.0);
    CreateObject(1634,1519.323,-2628.432,95.169,0.0,0.0,180.000);
    CreateObject(1696,1611.240,-2529.540,81.031,0.0,0.0,56.250);
    CreateObject(3270,1667.156,-2562.694,79.161,0.0,0.0,-168.750);
    CreateObject(966,1703.074,-2528.350,79.868,0.0,0.0,90.000);
    CreateObject(968,1703.054,-2528.379,80.677,-2.578,-90.241,90.000);
    CreateObject(981,1507.530,-2545.303,80.991,0.0,0.0,90.000);
    CreateObject(990,1518.967,-2521.890,81.556,0.0,0.0,180.000);
    CreateObject(990,1528.923,-2521.836,81.559,0.0,0.0,180.000);
    CreateObject(990,1538.938,-2521.825,81.561,0.0,0.0,180.000);
    CreateObject(1228,1508.369,-2703.349,80.447,0.0,0.0,0.0);
    CreateObject(1228,1507.429,-2678.033,80.438,0.0,0.0,0.0);
    CreateObject(4892,1368.184,-2695.783,82.514,0.0,0.0,-90.000);
    CreateObject(18446,1382.965,-2673.796,80.809,0.0,0.0,-67.500);
    CreateObject(18567,1558.997,-2662.320,81.177,0.0,0.0,0.0);
    CreateObject(18569,1544.546,-2664.303,81.366,0.0,0.0,0.0);
    CreateObject(14562,1616.947,-2568.205,81.218,0.0,0.0,90.000);
    CreateObject(11395,1575.033,-2544.311,88.104,0.0,0.0,101.250);
    CreateObject(16535,1582.134,-2711.406,80.638,0.0,0.0,180.000);
    CreateObject(12861,1518.130,-2566.512,80.035,0.0,0.0,270.000);
    CreateObject(13025,1518.310,-2570.530,91.321,0.0,0.0,0.0);
    CreateObject(3866,1802.852,-2537.146,20.385,0.0,0.0,90.000);
    CreateObject(11474,1903.983,-2587.259,78.779,0.0,0.859,6.016);
    CreateObject(11474,1903.623,-2584.029,78.779,0.0,0.859,2.578);
    CreateObject(11474,1919.557,-2584.989,78.529,-0.859,0.859,2.578);
    CreateObject(11474,1938.242,-2571.136,78.779,0.0,0.0,96.875);


// LV OBJ
    CreateObject(1634,1462.718,1826.006,11.110,0.0,0.0,0.0);
    CreateObject(1634,1470.499,1825.831,11.110,0.0,0.0,0.0);
    CreateObject(1634,1480.298,1825.435,11.110,0.0,0.0,0.0);
    CreateObject(1634,1489.460,1824.628,11.110,0.0,0.0,0.0);
    CreateObject(1634,1326.918,1536.924,16.747,23.205,0.0,90.000);
    CreateObject(7419,1388.804,1826.548,3.559,0.0,0.0,-270.000);
    CreateObject(13641,1328.169,1546.376,17.219,0.0,-29.221,180.000);
    CreateObject(12956,1433.412,1375.170,13.149,0.0,0.0,-33.750);
    CreateObject(1696,1369.876,1820.490,27.207,0.0,0.0,56.250);
    CreateObject(1634,1434.340,1350.398,11.110,0.0,0.0,0.0);
    CreateObject(18609,1438.217,1428.026,10.993,0.0,0.0,-67.500);
    CreateObject(18569,1426.297,1433.741,11.146,0.0,0.0,0.0);
    CreateObject(18567,1439.492,1433.208,10.958,0.0,0.0,-45.000);
    CreateObject(18451,1432.253,1501.747,10.333,0.0,0.0,0.0);
    CreateObject(16367,1452.418,1437.982,11.579,0.0,0.0,22.500);
    CreateObject(13647,1416.644,1550.182,9.816,0.0,0.0,90.000);
    CreateObject(13647,1417.337,1550.167,9.816,0.0,0.0,90.000);
    CreateObject(13647,1418.003,1550.150,9.816,0.0,0.0,90.000);
    CreateObject(13647,1418.676,1550.120,9.816,0.0,0.0,90.000);
    CreateObject(13648,1419.322,1550.140,9.791,0.0,0.0,0.0);
    CreateObject(13647,1420.007,1550.145,9.791,0.0,0.0,90.000);
    CreateObject(13648,1416.633,1588.809,9.816,0.0,0.0,-180.000);
    CreateObject(13648,1417.307,1588.795,9.816,0.0,0.0,-180.000);
    CreateObject(13648,1417.980,1588.804,9.816,0.0,0.0,-180.000);
    CreateObject(13648,1418.662,1588.807,9.816,0.0,0.0,-180.000);
    CreateObject(13648,1419.323,1588.846,9.816,0.0,0.0,-180.000);
    CreateObject(13648,1419.992,1588.819,9.816,0.0,0.0,-180.000);
    CreateObject(16480,1304.183,1608.917,21.663,0.0,0.0,45.000);
    CreateObject(16303,1434.894,1561.111,7.127,-1.719,-6.016,101.250);
    CreateObject(13636,1439.662,1638.934,12.093,0.0,0.0,0.0);
    CreateObject(13638,1455.241,1625.692,14.143,0.0,0.0,180.000);
    CreateObject(13590,1426.185,1658.677,11.046,0.0,0.0,0.0);
    CreateObject(6052,1465.690,1611.485,22.229,0.0,0.0,11.250);
    CreateObject(13648,1495.144,1604.291,29.835,13.751,-0.859,269.141);
    CreateObject(3458,1533.404,1604.124,34.965,0.0,0.0,0.0);
    CreateObject(18288,1550.632,1551.910,28.987,61.879,87.662,180.000);
    CreateObject(3458,1573.708,1604.155,35.015,0.0,0.0,0.0);
    CreateObject(18568,1542.652,1603.321,37.282,0.0,0.0,0.0);
    CreateObject(18568,1549.870,1603.318,37.282,0.0,0.0,0.0);
    CreateObject(18568,1553.945,1603.255,37.332,0.0,0.0,0.0);
    CreateObject(18568,1558.632,1603.716,37.332,0.0,0.0,0.0);
    CreateObject(1660,1587.382,1604.058,36.238,0.0,0.0,-90.000);
// SF OBJ
    CreateObject(4828,-1379.021,-36.141,26.980,0.0,0.0,0.0);
    CreateObject(4874,-1168.703,88.289,17.104,0.0,0.0,-135.000);
    CreateObject(18289,-1287.942,275.878,9.519,4.297,-75.630,62.575);
    CreateObject(18289,-1336.030,298.567,5.124,5.157,-75.630,62.575);
    CreateObject(5409,-1231.600,208.938,17.654,0.0,0.0,-45.000);
    CreateObject(966,-1239.223,208.078,13.148,0.0,0.0,-45.000);
    CreateObject(968,-1239.198,208.081,13.810,0.0,-88.522,-45.000);
    CreateObject(1633,-1377.203,-202.288,14.449,0.0,0.0,157.500);
    CreateObject(1634,-1364.399,-110.888,14.446,0.0,0.0,146.250);
    CreateObject(3625,-1262.530,-101.242,15.984,0.0,0.0,-45.000);
    CreateObject(3664,-1351.704,-259.880,13.177,-40.394,0.0,-225.000);
    CreateObject(13590,-1422.162,-257.385,25.888,0.0,0.0,0.0);
    CreateObject(12956,-1367.908,-309.482,27.766,0.0,0.0,-33.750);
    CreateObject(13593,-1419.755,-284.464,25.180,0.0,0.0,146.250);
    CreateObject(8375,-1244.923,-174.721,15.132,0.0,0.0,33.750);
    CreateObject(8375,-1244.532,-175.268,19.092,-30.080,0.0,33.750);
    CreateObject(13636,-1347.280,-346.500,26.718,0.0,0.0,-135.000);
    CreateObject(13638,-1377.017,-329.035,26.910,0.0,0.0,90.000);
    CreateObject(1634,-1246.138,-193.692,25.528,0.0,0.0,-146.250);
    CreateObject(1634,-1238.121,-187.715,25.444,0.0,0.0,-146.250);
    CreateObject(1634,-1230.303,-182.024,25.310,0.0,0.0,-122.031);
    CreateObject(1894,-1258.038,-115.578,13.144,0.0,0.0,-45.000);
    CreateObject(16002,-1538.590,-203.198,16.040,0.0,0.0,-146.250);
    CreateObject(16362,-1211.081,177.894,16.269,0.0,0.0,-45.000);
    CreateObject(1755,-1210.568,201.647,13.142,0.0,0.0,135.000);
    CreateObject(643,-1209.435,193.366,13.619,0.0,0.0,0.0);
    CreateObject(1281,-1224.045,180.326,13.949,0.0,0.0,0.0);
    CreateObject(14582,-1364.176,-2.429,16.633,0.0,0.0,0.0);
    CreateObject(16663,-1264.466,76.315,17.651,0.0,0.0,168.750);
    CreateObject(10815,-1161.591,-403.957,4.197,-6.875,-12.032,-12.109);
    CreateObject(8390,-1411.602,209.426,32.777,0.0,0.0,45.000);
    CreateObject(17920,-1487.413,285.113,2.846,0.0,0.0,-45.000);
    CreateObject(18229,-1193.967,-96.163,16.543,0.0,0.0,-45.000);
    CreateObject(18367,-1283.318,-105.879,12.780,0.0,0.0,-45.000);
    CreateObject(18367,-1303.407,-127.858,15.880,0.0,0.0,-135.000);
    CreateObject(18367,-1324.310,-105.833,19.280,0.0,0.0,-225.000);
    CreateObject(18367,-1302.410,-85.476,22.496,0.0,0.0,-315.000);
    CreateObject(18367,-1280.414,-105.711,25.680,0.0,0.0,-405.000);
    CreateObject(18262,-1305.275,-130.912,30.253,0.0,0.0,-45.000);
    CreateObject(13647,-1322.687,-148.516,29.934,0.0,0.0,-135.000);
    CreateObject(18450,-1360.970,-187.411,44.467,0.0,19.767,45.000);
    CreateObject(18450,-1415.877,-241.471,53.195,0.0,-6.875,44.141);
    CreateObject(18450,-1474.498,-274.165,44.699,1.719,-6.875,6.953);
    CreateObject(16367,-1508.668,-277.454,42.691,0.0,0.0,-22.500);

    
    CreateObject(3749, 2918.315186, -790.413757, 15.891461, 0.0000, 0.0000, 90.0000);
    CreateObject(18450, 2960.174072, -790.630920, 9.669401, 0.0000, 0.0000, 0.0000);
    CreateObject(3330, 2950.501953, -795.319153, -2.419037, 0.0000, 0.0000, 0.0000);
    CreateObject(3330, 2951.176270, -786.361450, -2.452418, 0.0000, 0.0000, 0.0000);
    CreateObject(3331, 2960.045898, -782.382202, 19.774313, 0.0000, 0.0000, 270.0000);
    CreateObject(4859, 3032.417725, -841.737244, 11.190971, 0.0000, 0.0000, 90.0000);
    CreateObject(987, 3000.197754, -782.424316, 9.994575, 0.0000, 0.0000, 0.0000);
    CreateObject(987, 3012.222656, -782.421326, 9.995367, 0.0000, 0.0000, 0.0000);
    CreateObject(987, 3024.216064, -782.412170, 9.995367, 0.0000, 0.0000, 0.0000);
    CreateObject(987, 3036.197510, -782.298340, 9.995367, 0.0000, 0.0000, 0.0000);
    CreateObject(987, 3048.185791, -782.292786, 9.995367, 0.0000, 0.0000, 0.0000);
    CreateObject(987, 3060.185059, -782.307617, 9.995367, 0.0000, 0.0000, 0.0000);
    CreateObject(987, 3070.915527, -782.537781, 9.987846, 0.0000, 0.0000, 270.0000);
    CreateObject(987, 3000.816406, -799.343018, 9.987846, 0.0000, 0.0000, 270.0000);
    CreateObject(987, 3000.824219, -811.364502, 9.987846, 0.0000, 0.0000, 270.0000);
    CreateObject(987, 3070.916748, -794.552734, 9.987845, 0.0000, 0.0000, 270.0000);
    CreateObject(987, 3070.849854, -806.587830, 9.987846, 0.0000, 0.0000, 270.0000);
    CreateObject(987, 3070.467285, -838.164551, 9.987846, 0.0000, 0.0000, 270.0000);
    CreateObject(987, 3070.447754, -850.147461, 9.987846, 0.0000, 0.0000, 270.0000);
    CreateObject(987, 3070.471191, -862.143311, 9.987846, 0.0000, 0.0000, 270.0000);
    CreateObject(987, 3000.811279, -823.376282, 9.987846, 0.0000, 0.0000, 270.0000);
    CreateObject(987, 3000.712646, -835.385925, 9.987846, 0.0000, 0.0000, 270.0000);
    CreateObject(987, 3000.678711, -847.387634, 9.987846, 0.0000, 0.0000, 270.0000);
    CreateObject(987, 3000.682617, -859.389465, 9.987846, 0.0000, 0.0000, 270.0000);
    CreateObject(987, 3000.631592, -871.364502, 9.987846, 0.0000, 0.0000, 270.0000);
    CreateObject(987, 3000.646973, -883.381531, 9.987846, 0.0000, 0.0000, 270.0000);
    CreateObject(987, 3000.592041, -895.312988, 9.987846, 0.0000, 0.0000, 270.0000);
    CreateObject(987, 3001.279785, -901.371460, 9.995367, 0.0000, 0.0000, 0.0000);
    CreateObject(987, 3013.283447, -901.348816, 9.999832, 0.0000, 0.0000, 0.0000);
    CreateObject(987, 3025.130615, -901.278320, 10.008071, 0.0000, 0.0000, 0.0000);
    CreateObject(987, 3037.131348, -901.365540, 10.017222, 0.0000, 0.0000, 45.0000);
    CreateObject(987, 3070.455566, -874.162659, 9.987846, 0.0000, 0.0000, 191.2500);
    CreateObject(987, 3058.657959, -876.477295, 9.987846, 0.0000, 0.0000, 180.0000);
    CreateObject(987, 3046.718994, -876.411377, 9.987846, 0.0000, 0.0000, 180.0000);
    CreateObject(9241, 3055.316895, -822.178223, 11.740721, 0.0000, 0.0000, 0.0000);
    CreateObject(987, 3070.788086, -818.660278, 10.013737, 0.0000, 0.0000, 270.0000);
    CreateObject(987, 3070.755371, -830.669739, 10.013737, 0.0000, 0.0000, 270.0000);
    CreateObject(6295, 3060.593262, -795.535583, 33.920235, 0.0000, 0.0000, 90.0000);
    CreateObject(987, 3040.988037, -876.917114, 9.987846, 0.0000, 0.0000, 270.0000);
    CreateObject(987, 3040.932861, -885.836182, 9.995368, 0.0000, 0.0000, 270.0000);
    CreateObject(8947, 3009.115479, -887.997192, 13.040627, 0.0000, 0.0000, 180.0000);
    CreateObject(3279, 3006.720947, -802.636414, 10.063465, 0.0000, 0.0000, 0.0000);
    CreateObject(11490, 3048.725586, -857.787659, 9.983529, 0.0000, 0.0000, 0.0000);
    CreateObject(11491, 3048.724854, -868.851013, 11.511850, 0.0000, 0.0000, 0.0000);
    CreateObject(16151, 3064.333008, -861.056641, 10.379600, 0.0000, 0.0000, 90.0000);
    CreateObject(1822, 3045.340576, -862.828186, 11.491342, 0.0000, 0.0000, 0.0000);
    CreateObject(1481, 3069.164307, -863.020386, 10.690972, 0.0000, 0.0000, 270.0000);
    CreateObject(1717, 3047.148926, -861.557739, 11.488540, 0.0000, 0.0000, 225.0000);
    CreateObject(1723, 3044.630371, -863.298279, 11.489388, 0.0000, 0.0000, 90.0000);
    CreateObject(620, 3030.226807, -787.573364, 10.062527, 0.0000, 0.0000, 0.0000);
    CreateObject(629, 3060.385986, -866.897522, 9.996819, 0.0000, 0.0000, 33.7500);
    CreateObject(628, 3043.197998, -869.268433, 13.510077, 0.0000, 0.0000, 0.0000);
    CreateObject(628, 3052.867920, -867.920959, 13.510077, 0.0000, 0.0000, 0.0000);
    CreateObject(2378, 3052.656250, -853.545471, 12.851656, 0.0000, 0.0000, 0.0000);
    CreateObject(2377, 3051.930420, -853.545471, 12.876425, 0.0000, 0.0000, 0.0000);
    CreateObject(2383, 3051.196289, -853.545471, 12.888015, 0.0000, 0.0000, 270.0000);
    CreateObject(2396, 3050.422119, -853.552246, 12.920919, 0.0000, 0.0000, 0.0000);
    CreateObject(14651, 3050.845703, -861.378540, 13.732805, 0.0000, 0.0000, 180.0000);
    CreateObject(1281, 3064.673340, -851.592041, 10.788229, 0.0000, 0.0000, 0.0000);
    CreateObject(1281, 3035.150146, -852.063354, 10.788229, 0.0000, 0.0000, 0.0000);
    CreateObject(2834, 3045.398682, -861.742981, 11.490916, 0.0000, 0.0000, 270.0000);
    CreateObject(2562, 3044.254395, -854.125061, 11.491343, 0.0000, 0.0000, 0.0000);
    CreateObject(1736, 3052.940918, -861.528198, 13.691772, 0.0000, 0.0000, 270.0000);
    CreateObject(1782, 3047.479004, -862.275269, 12.793128, 0.0000, 0.0000, 270.0000);
    CreateObject(1671, 3045.766602, -855.004028, 11.951556, 0.0000, 0.0000, 180.0000);
    CreateObject(1808, 3044.387695, -864.538940, 11.486185, 0.0000, 0.0000, 90.0000);
    CreateObject(1809, 3046.475098, -853.760803, 12.331756, 0.0000, 0.0000, 0.0000);
    CreateObject(1828, 3047.872559, -859.128479, 11.464061, 0.0000, 0.0000, 270.0000);
    CreateObject(1841, 3047.598145, -861.582275, 11.489157, 0.0000, 0.0000, 0.0000);
    CreateObject(1840, 3047.572998, -862.865662, 11.489157, 0.0000, 0.0000, 0.0000);
    CreateObject(1971, 3045.885010, -853.545471, 13.630327, 0.0000, 0.0000, 0.0000);
    CreateObject(2028, 3046.945313, -862.259216, 11.574674, 0.0000, 0.0000, 270.0000);
    CreateObject(2190, 3044.696533, -853.808777, 12.331532, 0.0000, 0.0000, 0.0000);
    CreateObject(2192, 3045.508057, -854.452637, 12.334965, 0.0000, 0.0000, 180.0000);
    CreateObject(2226, 3046.558594, -854.335022, 12.334035, 0.0000, 0.0000, 0.0000);
    CreateObject(2332, 3044.587646, -855.141418, 11.954226, 0.0000, 0.0000, 90.0000);
    CreateObject(2628, 3068.796387, -872.171082, 9.981887, 0.0000, 0.0000, 180.0000);
    CreateObject(2627, 3066.181641, -872.849304, 9.988664, 0.0000, 0.0000, 180.0000);
    CreateObject(2630, 3063.487793, -872.764526, 9.982521, 0.0000, 0.0000, 0.0000);
    CreateObject(2813, 3045.895020, -862.281433, 11.990604, 0.0000, 0.0000, 326.2500);
    CreateObject(3749, 2998.342041, -790.505371, 15.871568, 0.0000, 0.0000, 270.0000);
    CreateObject(1985, 3052.559326, -865.192017, 13.920079, 0.0000, 0.0000, 0.0000);
    CreateObject(8947, 3023.888184, -887.943726, 13.040627, 0.0000, 0.0000, 180.0000);


	// SPECIAL
	total_vehicles_from_files += LoadStaticVehiclesFromFile("vehicles/trains.txt");
	total_vehicles_from_files += LoadStaticVehiclesFromFile("vehicles/pilots.txt");

   	// LAS VENTURAS
     total_vehicles_from_files += LoadStaticVehiclesFromFile("vehicles/lv_law.txt");
    total_vehicles_from_files += LoadStaticVehiclesFromFile("vehicles/lv_airport.txt");
    total_vehicles_from_files += LoadStaticVehiclesFromFile("vehicles/lv_gen.txt");
    
    // SAN FIERRO
    total_vehicles_from_files += LoadStaticVehiclesFromFile("vehicles/sf_law.txt");
    total_vehicles_from_files += LoadStaticVehiclesFromFile("vehicles/sf_airport.txt");
    total_vehicles_from_files += LoadStaticVehiclesFromFile("vehicles/sf_gen.txt");
    
    // LOS SANTOS
    total_vehicles_from_files += LoadStaticVehiclesFromFile("vehicles/ls_law.txt");
    total_vehicles_from_files += LoadStaticVehiclesFromFile("vehicles/ls_airport.txt");
    total_vehicles_from_files += LoadStaticVehiclesFromFile("vehicles/ls_gen_inner.txt");
    total_vehicles_from_files += LoadStaticVehiclesFromFile("vehicles/ls_gen_outer.txt");
    
    // OTHER AREAS
    total_vehicles_from_files += LoadStaticVehiclesFromFile("vehicles/whetstone.txt");
    total_vehicles_from_files += LoadStaticVehiclesFromFile("vehicles/bone.txt");
    total_vehicles_from_files += LoadStaticVehiclesFromFile("vehicles/flint.txt");
    total_vehicles_from_files += LoadStaticVehiclesFromFile("vehicles/tierra.txt");
    total_vehicles_from_files += LoadStaticVehiclesFromFile("vehicles/red_county.txt");

    printf("Total vehicles from files: %d",total_vehicles_from_files);

	return 1;
}

//----------------------------------------------------------

public OnPlayerUpdate(playerid)
{
	if(!IsPlayerConnected(playerid)) return 0;
	
	// changing cities by inputs
	if( !gPlayerHasCitySelected[playerid] &&
	    GetPlayerState(playerid) == PLAYER_STATE_SPECTATING ) {
	    ClassSel_HandleCitySelection(playerid);
	    return 1;
	}
	
	// No weapons in interiors
	if(GetPlayerInterior(playerid) != 0 && GetPlayerWeapon(playerid) != 0) {
	    SetPlayerArmedWeapon(playerid,0); // fists
	    return 0; // no syncing until they change their weapon
	}
	
	// Don't allow minigun
	if(GetPlayerWeapon(playerid) == WEAPON_MINIGUN) {
	    Kick(playerid);
	    return 0;
	}
	
	// No jetpacks allowed
	if(GetPlayerSpecialAction(playerid) == SPECIAL_ACTION_USEJETPACK) {
	    Kick(playerid);
	    return 0;
	}
	
	/* For testing animations
	if(GetPlayerAnimationIndex(playerid))
	{
	    new animlib[32];
		new animname[32];
		new msg[128+1];
		GetAnimationName(GetPlayerAnimationIndex(playerid),animlib,32,animname,32);
		format(msg, 128, "anim: %s %s", animlib, animname);
		SendClientMessage(playerid, 0xFFFFFFFF, msg);
	} else {
	    SendClientMessage(playerid, 0xFFFFFFFF, "No Anim");
	}*/
	
	return 1;
}

//----------------------------------------------------------
   public OnPlayerCommandText(playerid,cmdtext[])
   {
   cmd = strtok(cmdtext, idx);
   
   if( !strcmp(cmdtext,"/aar",true ))
	{
		if(IsPlayerInAnyVehicle(playerid))
		{
			SetVehiclePos(GetPlayerVehicleID(playerid),3050.1794,-861.2252,12.4913);
		}
		else
		{
			SetPlayerPos(playerid,3050.1794,-861.2252,12.4913);
			GameTextForPlayer(playerid,"~w~Welcome to Relax House",3000,4);
		}
		return 1;
	}
   
   if( !strcmp(cmdtext,"/credit",true ))
	{
	SendClientMessage(playerid,COLOR_WHITE,"~*~*~*~*~*[>O <]~*~*~*~*");
	SendClientMessage(playerid,COLOR_WHITE,": Joker_d skype: xoom 90");
	SendClientMessage(playerid,COLOR_WHITE,"   : sylar-gta.net.ru");
	SendClientMessage(playerid,COLOR_WHITE,"  :");
	SendClientMessage(playerid,COLOR_WHITE,"unpornfun.ucoz.org- 100% ");
	SendClientMessage(playerid,COLOR_WHITE,"mtascripts.do.am-,,   MTA-SA");
	SendClientMessage(playerid,COLOR_WHITE,"~*~*~*~*~*~*~*~*~*~*~*~*~*~*");
     return 1;
    }
    
   if( !strcmp(cmdtext,"/help",true ))
	{
	SendClientMessage(playerid,COLOR_WHITE,"~*~*~*~*~*[><]~*~*~*~*");
	SendClientMessage(playerid,COLOR_WHITE,"/ls-   ");
	SendClientMessage(playerid,COLOR_WHITE,"/sf-   ");
	SendClientMessage(playerid,COLOR_WHITE,"/lv-   ");
	SendClientMessage(playerid,COLOR_WHITE,"/biketr-  ");
	SendClientMessage(playerid,COLOR_WHITE,"/aar-   ");
	SendClientMessage(playerid,COLOR_WHITE,"~*~*~*~*~*~*~*~*~*~*~*~*~*~*");
     return 1;
    }
    
   if( !strcmp(cmdtext,"/ls",true ))
	{
		if(IsPlayerInAnyVehicle(playerid))
		{
			SetVehiclePos(GetPlayerVehicleID(playerid),1685.49, -2247.38, 13.54);
		}
		else
		{
			SetPlayerPos(playerid,1685.49, -2247.38, 13.54);
			GameTextForPlayer(playerid,"~w~Welcome to Los Santos",3000,4);
		}
		return 1;
	}

   if( !strcmp(cmdtext,"/sf",true ))
	{
		if(IsPlayerInAnyVehicle(playerid))
		{
			SetVehiclePos(GetPlayerVehicleID(playerid),-1429.79, -291.56, 14.00);
		}
		else
		{
			SetPlayerPos(playerid,-1429.79, -291.56, 14.00);
			GameTextForPlayer(playerid,"~w~Welcome to San Fierro",3000,4);
		}
		return 1;
	}
	
   if( !strcmp(cmdtext,"/lv",true ))
	{
		if(IsPlayerInAnyVehicle(playerid))
		{
			SetVehiclePos(GetPlayerVehicleID(playerid),1690.01, 1456.05, 10.76);
		}
		else
		{
			SetPlayerPos(playerid,1690.01, 1456.05, 10.76);
			GameTextForPlayer(playerid,"~w~Welcome to Las Ventura's",3000,4);
		}
		return 1;
	}
	
    if( !strcmp(cmdtext,"/biketr",true ))
	{
		if(IsPlayerInAnyVehicle(playerid))
		{
			SetVehiclePos(GetPlayerVehicleID(playerid),-2239.3647,1213.0540,87.2109);
		}
		else
		{
			SetPlayerPos(playerid,-2239.3647,1213.0540,87.2109);
		}
		return 1;
	}
	return 0;
}


   


